package mod

import (
	"testing"
	"time"
)

func TestTokenExpire(t *testing.T) {
	ch := make(chan struct{})
	e := NewTokenExpires(ch)

	for i := 0; i < 10000; i++ {
		e.Put(uint64(i), 1*int64(i))
	}
	time.Sleep(1000 * 10001 * time.Second)
	close(ch)
}
